SCREENFETCH(1)

NAME
screenFetch - The Bash Screenshot Information Tool

SYNOPSIS
screenfetch [OPTIONAL FLAGS]

DESCRIPTION
This handy Bash script can be used to generate one of those nifty terminal theme information + ASCII distribution logos you see in everyone's screenshots nowadays. It will auto-detect your distribution and display an ASCII version of that distribution's logo and some valuable information to the right. There are options to specify no ASCII art, colors, taking a screenshot upon displaying info, and even customizing the screenshot command! This script is very easy to add to and can easily be extended.

Supported GNU/Linux Distributions:

    Alpine Linux, Antergos, Arch Linux (Old and Current Logos), BLAG, BunsenLabs, CentOS, Chakra, Chapeau, Chrome OS, Chromium OS, CrunchBang, CRUX, Debian, Deepin, Devuan, Dragora, elementary OS, Evolve OS, Exherbo, Fedora, Frugalware, Fuduntu, Funtoo, Fux, Gentoo, gNewSense, Jiyuu Linux, Kali Linux, KaOS, KDE neon, Kogaion, Korora, LinuxDeepin, Linux Mint, LMDE, Logos, Mageia, Mandriva/Mandrake, Manjaro, Mer, Netrunner, NixOS, openSUSE, Oracle Linux, Parabola GNU/Linux-libre, Pardus, Parrot Security, PCLinuxOS, PeppermintOS, Qubes OS, Raspbian, Red Hat Enterprise Linux, ROSA, Sabayon, SailfishOS, Scientific Linux, Slackware, Solus, SparkyLinux, SteamOS, SUSE Linux Enterprise, SwagArch, TinyCore, Trisquel, Ubuntu, Viperr and Void.

Other Supported Systems:

    Dragonfly/Free/Open/Net BSD, Haiku, Mac OS X, Windows+Cygwin and Windows+MSYS2.

Supported Desktop Managers:

    KDE, GNOME, Unity, Xfce, LXDE, Cinnamon, MATE, Deepin, CDE, RazorQt and Trinity.

Supported Window Managers:

    2bwm, 9wm, Awesome, Beryl, Blackbox, Cinnamon, chromeos-wm, Compiz, deepin-wm, dminiwm, dwm, dtwm, E16, E17, echinus, Emerald, FluxBox, FLWM, FVWM, herbstluftwm, howm, IceWM, KWin, Metacity, monsterwm, Musca, Gala, Mutter, Muffin, Notion, OpenBox, PekWM, Ratpoison, Sawfish, ScrotWM, SpectrWM, StumpWM, subtle, sway, TWin, WindowMaker, WMFS, wmii, Xfwm4, XMonad and i3.

OPTIONS

-v  Verbose output.

-o 'OPTIONS'
    Allows for setting script variables on the command line. Must be in the following format: 'OPTION1="OPTIONARG1";OPTION2="OPTIONARG2"'

-d '+var;-var;var'
    Allows for setting what information is displayed on the command line. You can add displays with +var,var. You can delete displays with -var,var. Setting without + or - will set display to that explicit combination. Add and delete statements may be used in conjunction by placing a ; between them as so: +var,var,var;-var,var.

-n  Do not display ASCII distribution logo.

-L  Display ASCII distribution logo only.

-N  Strip all color from output.

-w  Wrap long lines.

-t  Truncate output based on terminal width (Experimental!).

-p  Output in portrait mode, with logo above info.

-s [-u IMGHOST]
    Using this flag tells the script that you want it to take a screenshot. Use the -u flag if you would like to upload the screenshots to one of the pre-configured locations. These include: teknik, imgur, mediacrush and hmp.

-c string
    You may change the outputted colors with -c. The format is as follows: [0-9][0-9],[0-9][0-9]. The first argument controls the ASCII logo colors and the label colors. The second argument controls the colors of the information found. One argument may be used without the other.

-a 'PATH'
    You can specify a custom ASCII art by passing the path to a Bash script, defining startline and fulloutput variables, and optionally labelcolor and textcolor. See the asciiText function in the source code for more informations on the variables format.

-S 'COMMAND'
    Here you can specify a custom screenshot command for the script to execute. Surrounding quotes are required.

-D 'DISTRO'
    Here you can specify your distribution for the script to use. Surrounding quotes are required.

-A 'DISTRO'
    Here you can specify the distribution art that you want displayed. This is for when you want your distro detected but want to display a different logo.

-E  Suppress output of errors.

-V, --version
    Display current script version.

-h, --help
    Display this help.

SEE ALSO
http://github.com/KittyKatt/screenFetch

AUTHOR
Created by and licensed to Brett Bohnenkamper <kittykatt@kittykatt.us>. OS X porting done almost solely by shrx <https://github.com/shrx> and John D. Duncan, III <https://github.com/JohnDDuncanIII>.

This manual page was written by djcj <djcj@gmx.de>

REPORTING BUGS
Report bugs to <https://github.com/KittyKatt/screenFetch/issues>

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.